Package org.apache.jmeter.report.processor.graph

# Interface GraphValueSelector

All Known Implementing Classes:
  `ConnectTimeValueSelector`, `CountValueSelector`, `ElapsedTimeValueSelector`, `LatencyValueSelector`, `SuccessfulElapsedTimeValueSelector`

public interface GraphValueSelector
The interface GraphValueSelector represents a projection from a sample to the value to aggregate for graph series.

Since:
  3.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Double`
  `select(String series, Sample sample)`
  Do a projection from a sample to the value to aggregate for the specified series and key.

- ## Method Details

  - ### select

    Double select(String series, Sample sample)
    Do a projection from a sample to the value to aggregate for the specified series and key.
    Parameters:
      `series` - the series where the value will be aggregated
      `sample` - the sample
    Returns:
      the value to aggregate or null if value should be ignored